Bug 203666 - Bball doesnt move when widgets are locked
Summary: Bball doesnt move when widgets are locked
Status: RESOLVED INTENTIONAL
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-misc (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-13 09:17 UTC by Bobby
Modified: 2011-12-09 09:37 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bobby 2009-08-13 09:17:29 UTC
Version:            (using KDE 4.3.0)
Compiler:          GCC 4.3 
OS:                Linux

I love this little red Ball but there is a little problem that i am having which is taking the fun away. If the widgets are locked then Bball can't move - logical but could an exception be made for this one widget? A ball is there to bounce around and not to stick on the screen without being able to move. The other thing is that this little arm which is used for the setting etc (when the mouse hovers over unlocked widgets). is there on the ball when one is bouncing it which makes it look rather wierd. Could it be possible to make Bball bounce when the widgets are locked but without this arm? That it looks just like a ball?
Thanks.
Comment 1 Nicolas L. 2010-06-07 10:43:29 UTC
still valid on 4.4.4
Comment 2 Bobby 2010-06-08 18:28:23 UTC
Am Montag 07 Juni 2010, 10:43:31 schrieb Nicolas Lécureuil:
> https://bugs.kde.org/show_bug.cgi?id=203666
> 
> 
> Nicolas Lécureuil <nlecureuil@mandriva.com> changed:
> 
>            What    |Removed                     |Added
> ---------------------------------------------------------------------------
> - CC|                            |nlecureuil@mandriva.com
> 
> 
> 
> 
> --- Comment #1 from Nicolas Lécureuil <nlecureuil mandriva com>  2010-06-07
> 10:43:29 --- still valid on 4.4.4

I wish that this bug would be fixed for KDE 4.5. It shouldn't be that 
difficult.
Comment 3 Jakob Lehmann 2010-06-09 06:01:06 UTC
This bug is propably not gonna be fixed for 4.5, since I dont believe fixing it is that easy, I guess an exception would need to be added.
Also please let the developers decide what is easy to fix and what not, they spend their time to fix bugs we both wouldnt be able to fix, if it would be an easy fix, it would most likely already be fixed.
Comment 4 Bobby 2010-06-09 15:19:07 UTC
Am Mittwoch 09 Juni 2010, 06:01:07 schrieb Jakob Lehmann:
> https://bugs.kde.org/show_bug.cgi?id=203666
> 
> 
> 
> 
> 
> --- Comment #3 from Jakob Lehmann <jamano910 googlemail com>  2010-06-09
> 06:01:06 --- This bug is propably not gonna be fixed for 4.5, since I dont
> believe fixing it is that easy, I guess an exception would need to be
> added.
> Also please let the developers decide what is easy to fix and what not,
> they spend their time to fix bugs we both wouldnt be able to fix, if it
> would be an easy fix, it would most likely already be fixed.

Don't interpret my comment as an attack on the devfs. I do appreciate their 
invaluable work a lot. I can't code so I don't know what is easy or not , just 
mere assumption but Bball was working fine in the early stage of KDE 4 then it 
started to lock at about 4.2 or somewhere there about. What I personally don't 
understand is why it was changed back then to lock with the widgets.
Comment 5 Thijs 2011-12-02 17:27:24 UTC
This is a consequence of locked widgets, which is not a default or even recommended setting in plasma. I can't imagine anyone wanting to change the entire widget-infrastructure for this, so set to resolved as wontfix.
Comment 6 Bobby 2011-12-09 09:37:57 UTC
Isn't it possible to make an exception for Bball without changing the whole  
widget infrastructure? It really doesn#t look go
od playing with the ball and having that widget setting bar appearing on it. 
Apart from that what's the use of a ball that just sticks on the desktop just 
because the widgets are locked??? So many years gone and still no solution for 
this?


Am Freitag 02 Dezember 2011, 17:27:24 schrieb Thijs:
> https://bugs.kde.org/show_bug.cgi?id=203666
> 
> 
> Thijs <thijs22nospam@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
> Status|NEW                         |RESOLVED
>                  CC|                            |thijs22nospam@gmail.com
>          Resolution|                            |WONTFIX
> 
> 
> 
> 
> --- Comment #5 from Thijs <thijs22nospam gmail com>  2011-12-02 17:27:24 ---
> This is a consequence of locked widgets, which is not a default or even
> recommended setting in plasma. I can't imagine anyone wanting to change the
> entire widget-infrastructure for this, so set to resolved as wontfix.